Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 146544 - valgrind segfaults when passing arguments to the launched command
valgrind segfaults when passing arguments to the launched command
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 08:35 EST by Bastien Nocera
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-03 05:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-01-29 08:35:49 EST
/usr/bin/valgrind --tool=memcheck /usr/bin/gedit foo
*** glibc detected *** free(): invalid next size (normal): 0xb7dc07a0 ***
Aborted (core dumped)

The core is useless, and even running this inside gdb doesn't bring
much information. Removing the "foo" argument makes it work.

valgrind-2.2.0-7
kernel-2.6.10-1.741_FC3
Comment 1 Bastien Nocera 2005-02-07 09:35:14 EST
"valgrind --tool=memcheck /usr/bin/gedit" works
"valgrind -v --tool=memcheck /usr/bin/gedit" works
"valgrind -v --tool=memcheck /usr/bin/gedit foo" works

$ valgrind  --tool=memcheck /usr/bin/gedit foo
*** glibc detected *** free(): invalid next size (normal): 0xb7dc0770 ***
Aborted
Comment 2 Jakub Jelinek 2005-05-02 05:34:05 EDT
Can you reproduce this with valgrind-2.4.0-2?
Comment 3 Bastien Nocera 2005-05-03 05:23:09 EDT
Nope, can't. Thanks.

Note You need to log in before you can comment on or make changes to this bug.